GNU bug report logs - #33213
python-3/fixed and python-minimal test_socket.py

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Nam Nguyen <namn@HIDDEN>; dated Wed, 31 Oct 2018 05:25:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Oct 2018 05:24:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 31 01:24:54 2018
Received: from localhost ([127.0.0.1]:56145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHizt-0005YR-Q9
	for submit <at> debbugs.gnu.org; Wed, 31 Oct 2018 01:24:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <namluunguyen@HIDDEN>) id 1gHizs-0005YF-Qx
 for submit <at> debbugs.gnu.org; Wed, 31 Oct 2018 01:24:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gHizm-000413-Ph
 for submit <at> debbugs.gnu.org; Wed, 31 Oct 2018 01:24:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52094)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <namluunguyen@HIDDEN>)
 id 1gHizm-00040u-MB
 for submit <at> debbugs.gnu.org; Wed, 31 Oct 2018 01:24:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50108)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gHizl-0004F9-O4
 for bug-guix@HIDDEN; Wed, 31 Oct 2018 01:24:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <namluunguyen@HIDDEN>) id 1gHizh-0003y7-Pn
 for bug-guix@HIDDEN; Wed, 31 Oct 2018 01:24:45 -0400
Received: from mail-ed1-f51.google.com ([209.85.208.51]:45773)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <namluunguyen@HIDDEN>)
 id 1gHizh-0003xV-IJ
 for bug-guix@HIDDEN; Wed, 31 Oct 2018 01:24:41 -0400
Received: by mail-ed1-f51.google.com with SMTP id t10-v6so12510129eds.12
 for <bug-guix@HIDDEN>; Tue, 30 Oct 2018 22:24:41 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:mime-version
 :content-disposition:user-agent;
 bh=ya94WSQ9BFlyN9U04Oax5b/QvXKd953qu8+zUjdAHEo=;
 b=P/N6iHDY1A6RJKwRswf5bSy5vaZZFg4wgUxFUgut4+xN0qEXF68OF8js2zTXe2ntXV
 xZn/FYzIWOL3rTAfhSEZEnNVvO6YlaEZ/fzw1rr5A8dM+NQdnIvYl5Erp+7MtQtHW5Kr
 fvyAyItOjtzJthgWBmvnULDMwphIe7qnqdSEmg1XbskNKdvSu55aTq1d/02P3CMT9vQ0
 5F9EIibk6XFAB57z7xeYRrddRuuwWF7pbfmz8nM/G7BGNGRyNLxC2MEugo4MHlL90O0N
 E8E3xBpFApISxUqd4pWxzunqOqH3+pd3roMBiL+9eAXdE0IJ069krMvgwFiJQI7Uil0V
 Myzw==
X-Gm-Message-State: AGRZ1gLuJAzFizUSOXnUKWQBugKjqH5p3+0Ja7bmMWiE/MROjzPtp6Pi
 4HNfKHCWwgtnrr62X82sekZZGiQj96U=
X-Google-Smtp-Source: AJdET5fbAM5tG5fyQwB9eQ2Zey2lHWDiwEVxAjPm8LrzVKyFCUBeUfyi2fnVTxwV6LY3haVknBm8mw==
X-Received: by 2002:a17:906:63d1:: with SMTP id
 u17-v6mr626189ejk.223.1540963480123; 
 Tue, 30 Oct 2018 22:24:40 -0700 (PDT)
Received: from antelope ([24.5.139.14])
 by smtp.gmail.com with ESMTPSA id a16-v6sm1957508ejj.52.2018.10.30.22.24.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 30 Oct 2018 22:24:39 -0700 (PDT)
Date: Tue, 30 Oct 2018 22:24:21 -0700
From: Nam Nguyen <namn@HIDDEN>
To: bug-guix@HIDDEN
Subject: python-3/fixed and python-minimal test_socket.py
Message-ID: <20181031052336.GA9940@antelope>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.10.1 (2018-07-13)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: submit
Cc: mbakke@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.7 (----)

Hi,

python has a memory leak in the test for test_socket.py, and it was
fixed in commit 90aeaee861845142843a0f988fa4ff016c723cdb.

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=90aeaee861845142843a0f988fa4ff016c723cdb

More information from IRC:
----8<------------------------------------------------------------
<mbakke> There is a bug in Python 3 which causes the test suite to run
    out of memory on recent kernels:
    https://bugs.python.org/issue34587
<mbakke> Unfortunately the only workaround I can think of is removing
    "/tmp/guix-build-python-3.6.5.drv-0/Lib/test/test_socket.py" some
    time during the build (but before the check phase).
----8<------------------------------------------------------------

However, python-minimal still runs test_socket, causing a memory
leak. Is it possible to change python-minimal so it uses python-3/fixed?
I was able to successfully build python-minimal by appending the fix to
python-minimal, as below. I do not know how (replacement python-3/fixed)
interacts with python-minimal.

----8<------------------------------------------------------------
(define-public python-minimal
  (package/inherit python
    (name "python-minimal")
    (outputs '("out"))

    ;; Build fails due to missing ctypes without libffi.
    ;; OpenSSL is a mandatory dependency of Python 3.x, for urllib;
    ;; zlib is required by 'zipimport', used by pip.
    (inputs `(("libffi" ,libffi)
              ("openssl" ,openssl)
              ("zlib" ,zlib)))
    (arguments
     (substitute-keyword-arguments (package-arguments python-3)
       ((#:phases phases)
        `(modify-phases ,phases
           (add-after 'unpack 'delete-broken-test
             (lambda _
               ;; Delete test which fails on recent kernels:
               ;; <https://bugs.python.org/issue34587>.
               (delete-file "Lib/test/test_socket.py")
               #t))))))))
----8<------------------------------------------------------------




Acknowledgement sent to Nam Nguyen <namn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33213; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.